#4 extconf.rb patch for mingw32

closed-rejected
None
5
2002-02-05
2002-01-27
No

--- ruby-gnome.orig/gtk/extconf.rb Tue Oct 9 02:30:10 2001
+++ ruby-gnome/gtk/extconf.rb Fri Jan 18 13:49:48 2002
@@ -63,7 +63,7 @@

lib_ary = []
if /cygwin/ =~ PLATFORM
- elsif /mswin32/ !~ PLATFORM
+ elsif /mswin32|mingw/ !~ PLATFORM
lib_ary = [ ["X11", "XOpenDisplay"],
["Xext", "XShmQueryVersion"],
["Xi", "XOpenDevice"],

Discussion

  • Neil Conway

    Neil Conway - 2002-01-28
    • assigned_to: nobody --> klamath
     
  • Neil Conway

    Neil Conway - 2002-01-28

    Logged In: YES
    user_id=11779

    There is a similar patch already applied to CVS. However, it
    is a bit different: I've pasted it below. Can you tell me
    which one is better?

    --- extconf.rb.orig Tue Oct 9 02:30:10 2001
    +++ extconf.rb Sat Dec 29 17:25:22 2001
    @@ -64,3 +64,4 @@
    lib_ary = []
    - if /cygwin/ =~ PLATFORM
    + if /cygwin|mingw/ =~ PLATFORM
    + $CFLAGS += " -fnative-struct -DNATIVE_WIN32"
    elsif /mswin32/ !~ PLATFORM

     
  • Masahiro Sakai

    Masahiro Sakai - 2002-01-30

    Logged In: YES
    user_id=416006

    Oops.
    I think the patch is better than mine for ordinary case
    though I don't like hardcoding these cflags.
    Thus, Use the patch instead of mine.

     
  • Neil Conway

    Neil Conway - 2002-02-05
    • status: open --> closed-rejected
     
  • Neil Conway

    Neil Conway - 2002-02-05

    Logged In: YES
    user_id=11779

    Okay, based on your comments I think the code in CVS should
    be fine, so there is no need for your patch. Thanks again.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks